Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Class OIL2Request

    java.lang.Object
      org.jboss.mq.il.oil2.OIL2Request

All Implemented Interfaces:
  Externalizable, Serializable

public class OIL2Request
extends Object
implements Externalizable

Version:
  $Revision: 1.2 $
Author:
  Hiram Chirino
See Also:
  Serialized Form

Field Summary
`Object[]` | `arguments`
`byte` | `operation`
`Integer` | `requestId`

Constructor Summary
`OIL2Request()`
`OIL2Request(byte operation, Object[] arguments)`

Method Summary
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### requestId

    public Integer requestId

### operation

    public byte operation

### arguments

    public Object[] arguments

Constructor Detail

### OIL2Request

    public OIL2Request()

### OIL2Request

    public OIL2Request(byte operation,
                       Object[] arguments)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.